## singularity-container 4.1.5+ds4

=== vendor/go.opentelemetry.io/otel/Makefile ===
# Copyright The OpenTelemetry Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

TOOLS_MOD_DIR := ./internal/tools

ALL_DOCS := $(shell find . -name '*.md' -type f | sort)
ALL_GO_MOD_DIRS := $(shell find . -type f -name 'go.mod' -exec dirname {} \; | sort)
OTEL_GO_MOD_DIRS := $(filter-out $(TOOLS_MOD_DIR), $(ALL_GO_MOD_DIRS))
ALL_COVERAGE_MOD_DIRS := $(shell find . -type f -name 'go.mod' -exec dirname {} \; | grep -E -v '^./example|^$(TOOLS_MOD_DIR)' | sort)

GO = go
TIMEOUT = 60

.DEFAULT_GOAL := precommit

.PHONY: precommit ci
precommit: generate dependabot-generate license-check misspell go-mod-tidy golangci-lint-fix test-default
ci: generate dependabot-check license-check lint vanity-import-check build test-default check-clean-work-tree test-coverage

# Tools

TOOLS = $(CURDIR)/.tools

$(TOOLS):
	@mkdir -p $@
$(TOOLS)/%: | $(TOOLS)
	cd $(TOOLS_MOD_DIR) && \
	$(GO) build -o $@ $(PACKAGE)

MULTIMOD = $(TOOLS)/multimod
$(TOOLS)/multimod: PACKAGE=go.opentelemetry.io/build-tools/multimod

SEMCONVGEN = $(TOOLS)/semconvgen
$(TOOLS)/semconvgen: PACKAGE=go.opentelemetry.io/build-tools/semconvgen

CROSSLINK = $(TOOLS)/crosslink
$(TOOLS)/crosslink: PACKAGE=go.opentelemetry.io/build-tools/crosslink

SEMCONVKIT = $(TOOLS)/semconvkit
$(TOOLS)/semconvkit: PACKAGE=go.opentelemetry.io/otel/$(TOOLS_MOD_DIR)/semconvkit

DBOTCONF = $(TOOLS)/dbotconf
$(TOOLS)/dbotconf: PACKAGE=go.opentelemetry.io/build-tools/dbotconf

GOLANGCI_LINT = $(TOOLS)/golangci-lint
$(TOOLS)/golangci-lint: PACKAGE=github.com/golangci/golangci-lint/cmd/golangci-lint

MISSPELL = $(TOOLS)/misspell
$(TOOLS)/misspell: PACKAGE=github.com/client9/misspell/cmd/misspell

GOCOVMERGE = $(TOOLS)/gocovmerge
$(TOOLS)/gocovmerge: PACKAGE=github.com/wadey/gocovmerge

STRINGER = $(TOOLS)/stringer
$(TOOLS)/stringer: PACKAGE=golang.org/x/tools/cmd/stringer

PORTO = $(TOOLS)/porto
$(TOOLS)/porto: PACKAGE=github.com/jcchavezs/porto/cmd/porto

GOJQ = $(TOOLS)/gojq
$(TOOLS)/gojq: PACKAGE=github.com/itchyny/gojq/cmd/gojq

GOTMPL = $(TOOLS)/gotmpl
$(GOTMPL): PACKAGE=go.opentelemetry.io/build-tools/gotmpl

GORELEASE = $(TOOLS)/gorelease
$(GORELEASE): PACKAGE=golang.org/x/exp/cmd/gorelease

GOVULNCHECK = $(TOOLS)/govulncheck
$(TOOLS)/govulncheck: PACKAGE=golang.org/x/vuln/cmd/govulncheck

.PHONY: tools
tools: $(CROSSLINK) $(DBOTCONF) $(GOLANGCI_LINT) $(MISSPELL) $(GOCOVMERGE) $(STRINGER) $(PORTO) $(GOJQ) $(SEMCONVGEN) $(MULTIMOD) $(SEMCONVKIT) $(GOTMPL) $(GORELEASE)

# Virtualized python tools via docker

# The directory where the virtual environment is created.
VENVDIR := venv

# The directory where the python tools are installed.
PYTOOLS := $(VENVDIR)/bin

# The pip executable in the virtual environment.
PIP := $(PYTOOLS)/pip

# The directory in the docker image where the current directory is mounted.
WORKDIR := /workdir

# The python image to use for the virtual environment.
PYTHONIMAGE := python:3.11.3-slim-bullseye

# Run the python image with the current directory mounted.
DOCKERPY := docker run --rm -v "$(CURDIR):$(WORKDIR)" -w $(WORKDIR) $(PYTHONIMAGE)

# Create a virtual environment for Python tools.
$(PYTOOLS):
# The `--upgrade` flag is needed to ensure that the virtual environment is
# created with the latest pip version.
	@$(DOCKERPY) bash -c "python3 -m venv $(VENVDIR) && $(PIP) install --upgrade pip"

# Install python packages into the virtual environment.
$(PYTOOLS)/%: | $(PYTOOLS)
	@$(DOCKERPY) $(PIP) install -r requirements.txt

CODESPELL = $(PYTOOLS)/codespell
$(CODESPELL): PACKAGE=codespell

# Generate

.PHONY: generate
generate: go-generate vanity-import-fix

.PHONY: go-generate
go-generate: $(OTEL_GO_MOD_DIRS:%=go-generate/%)
go-generate/%: DIR=$*
go-generate/%: | $(STRINGER) $(GOTMPL)
	@echo "$(GO) generate $(DIR)/..." \
		&& cd $(DIR) \
		&& PATH="$(TOOLS):$${PATH}" $(GO) generate ./...

.PHONY: vanity-import-fix
vanity-import-fix: | $(PORTO)
	@$(PORTO) --include-internal -w .

# Generate go.work file for local development.
.PHONY: go-work
go-work: | $(CROSSLINK)
	$(CROSSLINK) work --root=$(shell pwd)

# Build

.PHONY: build

build: $(OTEL_GO_MOD_DIRS:%=build/%) $(OTEL_GO_MOD_DIRS:%=build-tests/%)
build/%: DIR=$*
build/%:
	@echo "$(GO) build $(DIR)/..." \
		&& cd $(DIR) \
		&& $(GO) build ./...

build-tests/%: DIR=$*
build-tests/%:
	@echo "$(GO) build tests $(DIR)/..." \
		&& cd $(DIR) \
		&& $(GO) list ./... \
		| grep -v third_party \
		| xargs $(GO) test -vet=off -run xxxxxMatchNothingxxxxx >/dev/null

# Tests

TEST_TARGETS := test-default test-bench test-short test-verbose test-race
.PHONY: $(TEST_TARGETS) test
test-default test-race: ARGS=-race
test-bench:   ARGS=-run=xxxxxMatchNothingxxxxx -test.benchtime=1ms -bench=.
test-short:   ARGS=-short
test-verbose: ARGS=-v -race
$(TEST_TARGETS): test
test: $(OTEL_GO_MOD_DIRS:%=test/%)
test/%: DIR=$*
test/%:
	@echo "$(GO) test -timeout $(TIMEOUT)s $(ARGS) $(DIR)/..." \
		&& cd $(DIR) \
		&& $(GO) list ./... \
		| grep -v third_party \
		| xargs $(GO) test -timeout $(TIMEOUT)s $(ARGS)

COVERAGE_MODE    = atomic
COVERAGE_PROFILE = coverage.out
.PHONY: test-coverage
test-coverage: | $(GOCOVMERGE)
	@set -e; \
	printf "" > coverage.txt; \
	for dir in $(ALL_COVERAGE_MOD_DIRS); do \
	  echo "$(GO) test -coverpkg=go.opentelemetry.io/otel/... -covermode=$(COVERAGE_MODE) -coverprofile="$(COVERAGE_PROFILE)" $${dir}/..."; \
	  (cd "$${dir}" && \
	    $(GO) list ./... \
	    | grep -v third_party \
	    | grep -v 'semconv/v.*' \
	    | xargs $(GO) test -coverpkg=./... -covermode=$(COVERAGE_MODE) -coverprofile="$(COVERAGE_PROFILE)" && \
	  $(GO) tool cover -html=coverage.out -o coverage.html); \
	done; \
	$(GOCOVMERGE) $$(find . -name coverage.out) > coverage.txt

# Adding a directory will include all benchmarks in that directory if a filter is not specified.
BENCHMARK_TARGETS := sdk/trace
.PHONY: benchmark
benchmark: $(BENCHMARK_TARGETS:%=benchmark/%)
BENCHMARK_FILTER = .
# You can override the filter for a particular directory by adding a rule here.
benchmark/sdk/trace: BENCHMARK_FILTER = SpanWithAttributes_8/AlwaysSample
benchmark/%:
	@echo "$(GO) test -timeout $(TIMEOUT)s -run=xxxxxMatchNothingxxxxx -bench=$(BENCHMARK_FILTER) $*..." \
		&& cd $* \
		$(foreach filter, $(BENCHMARK_FILTER), && $(GO) test -timeout $(TIMEOUT)s -run=xxxxxMatchNothingxxxxx -bench=$(filter))

.PHONY: golangci-lint golangci-lint-fix
golangci-lint-fix: ARGS=--fix
golangci-lint-fix: golangci-lint
golangci-lint: $(OTEL_GO_MOD_DIRS:%=golangci-lint/%)
golangci-lint/%: DIR=$*
golangci-lint/%: | $(GOLANGCI_LINT)
	@echo 'golangci-lint $(if $(ARGS),$(ARGS) ,)$(DIR)' \
		&& cd $(DIR) \
		&& $(GOLANGCI_LINT) run --allow-serial-runners $(ARGS)

.PHONY: crosslink
crosslink: | $(CROSSLINK)
	@echo "Updating intra-repository dependencies in all go modules" \
		&& $(CROSSLINK) --root=$(shell pwd) --prune

.PHONY: go-mod-tidy
go-mod-tidy: $(ALL_GO_MOD_DIRS:%=go-mod-tidy/%)
go-mod-tidy/%: DIR=$*
go-mod-tidy/%: | crosslink
	@echo "$(GO) mod tidy in $(DIR)" \
		&& cd $(DIR) \
		&& $(GO) mod tidy -compat=1.20

.PHONY: lint-modules
lint-modules: go-mod-tidy

.PHONY: lint
lint: misspell lint-modules golangci-lint govulncheck

.PHONY: vanity-import-check
vanity-import-check: | $(PORTO)
	@$(PORTO) --include-internal -l . || ( echo "(run: make vanity-import-fix)"; exit 1 )

.PHONY: misspell
misspell: | $(MISSPELL)
	@$(MISSPELL) -w $(ALL_DOCS)

.PHONY: govulncheck
govulncheck: $(OTEL_GO_MOD_DIRS:%=govulncheck/%)
govulncheck/%: DIR=$*
govulncheck/%: | $(GOVULNCHECK)
	@echo "govulncheck ./... in $(DIR)" \
		&& cd $(DIR) \
		&& $(GOVULNCHECK) ./...

.PHONY: codespell
codespell: | $(CODESPELL)
	@$(DOCKERPY) $(CODESPELL)

.PHONY: license-check
license-check:
	@licRes=$$(for f in $$(find . -type f \( -iname '*.go' -o -iname '*.sh' \) ! -path '**/third_party/*' ! -path './.git/*' ) ; do \
	           awk '/Copyright The OpenTelemetry Authors|generated|GENERATED/ && NR<=4 { found=1; next } END { if (!found) print FILENAME }' $$f; \
	   done); \
	   if [ -n "$${licRes}" ]; then \
	           echo "license header checking failed:"; echo "$${licRes}"; \
	           exit 1; \
	   fi

DEPENDABOT_CONFIG = .github/dependabot.yml
.PHONY: dependabot-check
dependabot-check: | $(DBOTCONF)
	@$(DBOTCONF) verify $(DEPENDABOT_CONFIG) || ( echo "(run: make dependabot-generate)"; exit 1 )

.PHONY: dependabot-generate
dependabot-generate: | $(DBOTCONF)
	@$(DBOTCONF) generate > $(DEPENDABOT_CONFIG)

.PHONY: check-clean-work-tree
check-clean-work-tree:
	@if ! git diff --quiet; then \
	  echo; \
	  echo 'Working tree is not clean, did you forget to run "make precommit"?'; \
	  echo; \
	  git status; \
	  exit 1; \
	fi

SEMCONVPKG ?= "semconv/"
.PHONY: semconv-generate
semconv-generate: | $(SEMCONVGEN) $(SEMCONVKIT)
	[ "$(TAG)" ] || ( echo "TAG unset: missing opentelemetry semantic-conventions tag"; exit 1 )
	[ "$(OTEL_SEMCONV_REPO)" ] || ( echo "OTEL_SEMCONV_REPO unset: missing path to opentelemetry semantic-conventions repo"; exit 1 )
	$(SEMCONVGEN) -i "$(OTEL_SEMCONV_REPO)/model/." --only=span -p conventionType=trace -f trace.go -t "$(SEMCONVPKG)/template.j2" -s "$(TAG)"
	$(SEMCONVGEN) -i "$(OTEL_SEMCONV_REPO)/model/." --only=attribute_group -p conventionType=trace -f attribute_group.go -t "$(SEMCONVPKG)/template.j2" -s "$(TAG)"
	$(SEMCONVGEN) -i "$(OTEL_SEMCONV_REPO)/model/." --only=event -p conventionType=event -f event.go -t "$(SEMCONVPKG)/template.j2" -s "$(TAG)"
	$(SEMCONVGEN) -i "$(OTEL_SEMCONV_REPO)/model/." --only=resource -p conventionType=resource -f resource.go -t "$(SEMCONVPKG)/template.j2" -s "$(TAG)"
	$(SEMCONVKIT) -output "$(SEMCONVPKG)/$(TAG)" -tag "$(TAG)"

.PHONY: gorelease
gorelease: $(OTEL_GO_MOD_DIRS:%=gorelease/%)
gorelease/%: DIR=$*
gorelease/%:| $(GORELEASE)
	@echo "gorelease in $(DIR):" \
		&& cd $(DIR) \
		&& $(GORELEASE) \
		|| echo ""

.PHONY: prerelease
prerelease: | $(MULTIMOD)
	@[ "${MODSET}" ] || ( echo ">> env var MODSET is not set"; exit 1 )
	$(MULTIMOD) verify && $(MULTIMOD) prerelease -m ${MODSET}

COMMIT ?= "HEAD"
.PHONY: add-tags
add-tags: | $(MULTIMOD)
	@[ "${MODSET}" ] || ( echo ">> env var MODSET is not set"; exit 1 )
	$(MULTIMOD) verify && $(MULTIMOD) tag -m ${MODSET} -c ${COMMIT}

.PHONY: lint-markdown
lint-markdown: 
	docker run -v "$(CURDIR):$(WORKDIR)" avtodev/markdown-lint:v1 -c $(WORKDIR)/.markdownlint.yaml $(WORKDIR)/**/*.md

## singularity-container 2.1.2

=== debian/changelog ===
singularity-container (2.1.2-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 06 Aug 2016 14:13:44 -0400

singularity-container (2.1~testing0+git39-g875d469-1) unstable; urgency=medium

  * Fresh pre-release snapshot
  * Upload to Debian proper (Closes: #828970)
  * debian/control
    - Place under NeuroDebian team maintenance
  * debian/rules
    - Generate quick and dirty manpages using help2man

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 14 Jul 2016 11:03:15 -0400

singularity-container (2.0-1) UNRELEASED; urgency=medium

  * New upstream release
  * Initial Debian packaging

 -- Dave Love <fx@gnu.org>  Thu, 02 Jun 2016 22:48:28 +0100

singularity-container (1.0-1) UNRELEASED; urgency=low

  * Initial release

 -- Dave Love <fx@gnu.org>  Sun, 17 Apr 2016 12:22:41 +0100

=== debian/control ===
Source: singularity-container
Section: admin
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders:
 Dave Love <fx@gnu.org>,
 Yaroslav Halchenko <debian@onerussian.com>,
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 help2man,
Standards-Version: 3.9.8
Homepage: http://gmkurtzer.github.io/singularity
Vcs-Git: https://github.com/gmkurtzer/singularity.git
Vcs-Browser: https://github.com/gmkurtzer/singularity

# "singularity" is a packaged game (but the contents don't clash)
Package: singularity-container
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: container platform focused on supporting "Mobility of Compute"
 Mobility of Compute encapsulates the development to compute model
 where developers can work in an environment of their choosing and
 creation and when the developer needs additional compute resources,
 this environment can easily be copied and executed on other platforms.
 Additionally as the primary use case for Singularity is targeted
 towards computational portability, many of the barriers to entry of
 other container solutions do not apply to Singularity making it an
 ideal solution for users (both computational and non-computational)
 and HPC centers.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PKGDIR=debian/singularity-container

%:
	dh $@  --with autoreconf

override_dh_auto_install:
	dh_auto_install

override_dh_installman:
	: # Very sloppy man pages for now
	debian/generate_manpages $(PKGDIR)
	dh_installman

override_dh_installdocs:
	dh_installdocs README.md AUTHORS

override_dh_fixperms:
	dh_fixperms
	chown root.root $(PKGDIR)/usr/lib/*/singularity/sexec
	chmod 4755 $(PKGDIR)/usr/lib/*/singularity/sexec
	chmod 644 $(PKGDIR)/usr/lib/*/singularity/cli/*.help

## singularity-container 2.2

=== debian/changelog ===
singularity-container (2.2-1) unstable; urgency=medium

  [ Mehdi Dogguy ]
  * Team upload.
  * New upstream release.
    - Install sexec-suid utility instead of sexec
  * Add a override_dh_auto_test in debian/rules to skip testsuite which
    is not well-suited for auto-builders.

  [ Yaroslav Halchenko ]
  * debian/control
    - Vcs- fields adjusted to point to https://anonscm.debian.org/git
    - Mehdi to uploaders
    - Depends on python since some python scripts are used
  * Enforce world readable permissions for /var/singularity{,/mnt{,/source}}
    directories (needed since 2.2)
  * debian/patches
    - 000*-*py* - to not install not to be executed python modules as scripts
    - 000*-bash* - bash completions script has bashisms
  * debian/rules
    - bash completion script under /usr/share/bash-completion/completions
  * use /var/lib/singularity (instead of FHS-noncompliant /var/singularity)
    Next upstream release will adhere to this location as well.
    Previously used location /var/singularity is left untouched -- inspect
    and cleanup.

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 30 Nov 2016 12:33:01 -0500

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	: # move bash completions into now new standard location
+	mv $(PKGDIR)/etc/bash_completion.d $(PKGDIR)/usr/share/bash-completion/completions
 
 override_dh_installman:
 	: # Very sloppy man pages for now
@@ -19,8 +21,10 @@
 override_dh_installdocs:
 	dh_installdocs README.md AUTHORS
 
+override_dh_auto_test:
+
 override_dh_fixperms:
 	dh_fixperms
 	chown root.root $(PKGDIR)/usr/lib/*/singularity/sexec
-	chmod 4755 $(PKGDIR)/usr/lib/*/singularity/sexec
+	chmod 4755 $(PKGDIR)/usr/lib/*/singularity/sexec-suid
 	chmod 644 $(PKGDIR)/usr/lib/*/singularity/cli/*.help

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/singularity-$1.tar.gz/" \
  https://github.com/gmkurtzer/singularity/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## singularity-container 2.2.1

=== debian/changelog ===
singularity-container (2.2.1-1~nd15.10+1) wily; urgency=medium

  * Backported for wily.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 15 Feb 2017 20:10:10 -0500

singularity-container (2.2.1-1) experimental; urgency=medium

  * Fresh upstream bugfix release (includes all included in 2.2-2 changesets,
    which are dropped now here)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 15 Feb 2017 10:42:39 -0500

singularity-container (2.2-2) unstable; urgency=high

  * debian/patches - picks up from upcoming 2.2.1 release
    critical functionality and possibly security-related fixes
    - changeset_b859cd8b4b9293f2a8a893ef41c5d93a5318dd6c.diff
      to support mounting ext4 formatted images read-only
    - changeset_f79e853d9ee8a15b1d16cdc7dfbe85eca50efc6d.diff
      to utilize mount option MS_NODEV for images
      (fixes potential security implications)
    - changeset_d835fa1d20efc4aaacca4be68431d193d6625bd8.diff
      to fix bootstrapping ran as root (thus no MS_NODEV restriction
      from above patch should be applied)
    - changeset_3a2b6537f0b1386336e29d7f763ae62374a7cb77.diff
      exit with error if snprintf would have went out of bounds
    - changeset_acc02b921192e7e16afe1513d5338904f8e6f907.diff
      changeset_0935d68145ce575444b7ced43417cc6fccffd670.diff
      changeset_0d04edaeb5cb3607ab25588f4db177c0878adcc0.diff
      Various obvious fixes (updated URLs, apt --force-yes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 09 Feb 2017 16:27:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: singularity-container
 Section: admin
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders:
  Dave Love <fx@gnu.org>,
+ Mehdi Dogguy <mehdi@debian.org>,
  Yaroslav Halchenko <debian@onerussian.com>,
 Build-Depends:
  debhelper (>= 9),
@@ -11,13 +13,13 @@
  help2man,
 Standards-Version: 3.9.8
 Homepage: http://gmkurtzer.github.io/singularity
-Vcs-Git: https://github.com/gmkurtzer/singularity.git
-Vcs-Browser: https://github.com/gmkurtzer/singularity
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/singularity-container.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/singularity-container.git
 
 # "singularity" is a packaged game (but the contents don't clash)
 Package: singularity-container
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, python
 Description: container platform focused on supporting "Mobility of Compute"
  Mobility of Compute encapsulates the development to compute model
  where developers can work in an environment of their choosing and

## singularity-container 2.3

=== debian/changelog ===
singularity-container (2.3-1) unstable; urgency=medium

  * Fresh upstream minor release
  * debian/patches -- all dropped (upstreamed)
  * debian/copyright -- updated copyright holders/years
  * debian/rules
    - a few path tune ups for permissions tuning as introduced upstream
    - apparently still uses /var as default for localstatedir, so specified
      /var/lib explicitly
    - export SINGULARITY_CACHEDIR env var to instruct singularity
      to not attempt create cachedir somewhere under /nonexistent path
      Also added a patch to not fail to create that cache directory if 
      parent doesn't exist
  * debian/control
    - Python to build-depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 02 Jun 2017 22:56:30 -0400

## singularity-container 2.3.1

=== debian/changelog ===
singularity-container (2.3.1-1) unstable; urgency=high

  * Fresh upstream minor release
    - A potential escalation pathway was identified that could have
    allowed a malicious user to escalate their privileges on hosts that do not
    support the PR_SET_NO_NEW_PRIVS flag for the prctl() system call. This
    release fixes this as well as several other identified bugs and potential
    race conditions.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 26 Jun 2017 16:04:51 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: singularity-container
 Section: admin
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders:
  Dave Love <fx@gnu.org>,
  Mehdi Dogguy <mehdi@debian.org>,
@@ -11,6 +10,7 @@
  debhelper (>= 9),
  dh-autoreconf,
  help2man,
+ python,
 Standards-Version: 3.9.8
 Homepage: http://gmkurtzer.github.io/singularity
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/singularity-container.git
@@ -19,7 +19,7 @@
 # "singularity" is a packaged game (but the contents don't clash)
 Package: singularity-container
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, python
+Depends: ${misc:Depends}, ${shlibs:Depends}, python
 Description: container platform focused on supporting "Mobility of Compute"
  Mobility of Compute encapsulates the development to compute model
  where developers can work in an environment of their choosing and

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,13 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 PKGDIR=debian/singularity-container
+export SINGULARITY_CACHEDIR=$(PKGDIR)/var/lib/singularity/cache
 
 %:
 	dh $@  --with autoreconf
+
+override_dh_auto_configure:
+	dh_auto_configure -- --localstatedir=/var/lib
 
 override_dh_auto_install:
 	dh_auto_install
@@ -19,12 +23,12 @@
 	dh_installman
 
 override_dh_installdocs:
-	dh_installdocs README.md AUTHORS
+	dh_installdocs README.md AUTHORS.md
 
 override_dh_auto_test:
 
 override_dh_fixperms:
 	dh_fixperms
-	chown root.root $(PKGDIR)/usr/lib/*/singularity/sexec
-	chmod 4755 $(PKGDIR)/usr/lib/*/singularity/sexec-suid
+	chown root.root $(PKGDIR)/usr/lib/*/singularity/bin/*
+	chmod 4755 $(PKGDIR)/usr/lib/*/singularity/bin/*-suid
 	chmod 644 $(PKGDIR)/usr/lib/*/singularity/cli/*.help

## singularity-container 2.3.2

=== debian/changelog ===
singularity-container (2.3.2-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/up_makedirs_cache is no longer pertinent

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 07 Oct 2017 00:15:10 -0400

singularity-container (2.3.1-2) unstable; urgency=medium

  * Provide version for help2man from this changelog (Closes: #871371)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 Aug 2017 19:33:57 -0400

## singularity-container 2.4.1

=== debian/changelog ===
singularity-container (2.4.1-1) unstable; urgency=medium

  * Upload to unstable: general functionality is proven to be robust
    and 2.4.x will be needed for upcoming htcondor 8.6.8 with singularity
    support

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 30 Nov 2017 14:46:30 -0500

singularity-container (2.4.1-1~exp1) experimental; urgency=medium

  * New upstream release
    - Fixed container path and owner limitations
    - Abort if overlay upper/work images are symlinks
    - Addition of APP[app]_[LABELS,ENV,RUNSCRIPT,META] so apps can
      internally find one another
    - Exposing labels for SCI-F in environment
  * debian/patches/reproducible_build
    - Refreshed patch

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 27 Nov 2017 21:22:42 +0100

singularity-container (2.4-1) experimental; urgency=medium

  * New upstream release
    - atomic 'build' process (no need to pre-create an image)
      - create command is deprecated in favor of image.create
    - new default image format based on SquashFS
    - more info: http://singularity.lbl.gov/release-2-4
  * debian/control
    - fixed Homepage (thanks Afif Elghraoui) (Closes: #850227)
  * debian/patches/reproducible_build
    - thanks tiress Chris Lamb (Closes: #866169)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Oct 2017 21:55:26 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  help2man,
  python,
 Standards-Version: 3.9.8
-Homepage: http://gmkurtzer.github.io/singularity
+Homepage: http://singularity.lbl.gov
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/singularity-container.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/singularity-container.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
+debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
+uver = $(shell echo $(debver) | cut -d '-' -f 1,1 )
 
 #DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -19,11 +23,11 @@
 
 override_dh_installman:
 	: # Very sloppy man pages for now
-	debian/generate_manpages $(PKGDIR)
+	debian/generate_manpages $(PKGDIR) $(debver)
 	dh_installman
 
 override_dh_installdocs:
-	dh_installdocs README.md AUTHORS.md
+	dh_installdocs README.md CONTRIBUTORS.md
 
 override_dh_auto_test:
 
@@ -31,4 +35,3 @@
 	dh_fixperms
 	chown root.root $(PKGDIR)/usr/lib/*/singularity/bin/*
 	chmod 4755 $(PKGDIR)/usr/lib/*/singularity/bin/*-suid
-	chmod 644 $(PKGDIR)/usr/lib/*/singularity/cli/*.help

## singularity-container 2.4.2

=== debian/changelog ===
singularity-container (2.4.2-4ubuntu0.1~esm1) bionic-security; urgency=medium

  * SECURITY UPDATE: Incorrect access control allow users obtain sensitive
    information.
    - debian/patches/CVE-2018-12021.patch: Fix directory image restriction
      bypass.
    - CVE-2018-12021
  * SECURITY UPDATE: Improper input validation attacks.
    - debian/patches/CVE-2018-19295-1.patch: Abort in case of internal error.
    - debian/patches/CVE-2018-19295-1.patch: Avoid potential toctou race.
    - CVE-2018-19295

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 15 Oct 2019 16:34:31 -0300

singularity-container (2.4.2-4) unstable; urgency=low

  * Standards-Version 4.1.3
  * debhelper compat 11
  * Change squashfs tools to Depends from Recommends
  * Recommend e2fsprogs (Closes: #887192)
  * d/rules: add comment explaining why test suite can't be run

 -- Afif Elghraoui <afif@debian.org>  Sat, 17 Feb 2018 17:14:21 -0500

singularity-container (2.4.2-3) unstable; urgency=low

  * Add Recommends: squashfs-tools
  * lintian overrides: update suid binary locations

 -- Afif Elghraoui <afif@debian.org>  Sun, 04 Feb 2018 20:04:43 -0500

singularity-container (2.4.2-2) unstable; urgency=medium

  * Make package build reproducible again by making sure content of
    $HOME doesn't end up in manpages.
  * Fix FTBFS on mips* architectures (Closes: #883466). Thanks to
    James Cowgill for the patch!
  * Set "Debian HPC team" in the maintainer field.
  * Migrate Git repo on Salsa and update Vcs-* fields accordingly
  * Run wrap-and-sort

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 07 Jan 2018 20:56:09 +0100

singularity-container (2.4.2-1) unstable; urgency=medium

  * New upstream release
    - Fixed an issue for support of older distributions and kernels
      with regards to the setns() function
    - Fixed autofs bug path
  * Get source package's version using /usr/share/dpkg/pkg-info.mk
    instead of calling dpkg-parsechangelog in debian/rules. This is
    possible since dpkg >= 1.16.1.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 06 Jan 2018 20:27:48 +0100

=== debian/control ===
Source: singularity-container
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Dave Love <fx@gnu.org>,
           Mehdi Dogguy <mehdi@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>,
	   Afif Elghraoui <afif@debian.org>,
Build-Depends: debhelper (>= 11),
               help2man,
               python
Standards-Version: 4.1.3
Homepage: http://singularity.lbl.gov
Vcs-Git: https://salsa.debian.org/hpc-team/singularity-container
Vcs-Browser: https://salsa.debian.org/hpc-team/singularity-container

Package: singularity-container
Architecture: any
Depends: python,
         squashfs-tools,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: e2fsprogs
Description: container platform focused on supporting "Mobility of Compute"
 Mobility of Compute encapsulates the development to compute model
 where developers can work in an environment of their choosing and
 creation and when the developer needs additional compute resources,
 this environment can easily be copied and executed on other platforms.
 Additionally as the primary use case for Singularity is targeted
 towards computational portability, many of the barriers to entry of
 other container solutions do not apply to Singularity making it an
 ideal solution for users (both computational and non-computational)
 and HPC centers.

## singularity-container 2.4.4

=== debian/changelog ===
singularity-container (2.4.4-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.
  * Revert to debhelper compat 9 (Closes: #893133)

 -- Afif Elghraoui <afif@debian.org>  Sat, 17 Mar 2018 16:08:25 -0400

singularity-container (2.4.4-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches

 -- Afif Elghraoui <afif@debian.org>  Sat, 10 Mar 2018 16:15:26 -0500

singularity-container (2.4.2-4~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.
  * Switch to debhelper compat 10 (11 not available for jessie)
  * Drop reproducible_build.patch; incompatible

 -- Afif Elghraoui <afif@debian.org>  Wed, 28 Feb 2018 00:26:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: singularity-container
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Dave Love <fx@gnu.org>,
            Mehdi Dogguy <mehdi@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
 	   Afif Elghraoui <afif@debian.org>,
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
                help2man,
                python
 Standards-Version: 4.1.3

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
-srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
-debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
-uver = $(shell echo $(debver) | cut -d '-' -f 1,1 )
+include /usr/share/dpkg/pkg-info.mk
 
 #DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -23,12 +21,14 @@
 
 override_dh_installman:
 	: # Very sloppy man pages for now
-	debian/generate_manpages $(PKGDIR) $(debver)
+	debian/generate_manpages $(PKGDIR) $(DEB_VERSION)
 	dh_installman
 
 override_dh_installdocs:
 	dh_installdocs README.md CONTRIBUTORS.md
 
+# The test suite needs a user with sudo permission (but refuses to run as root)
+# and docker.
 override_dh_auto_test:
 
 override_dh_fixperms:

## singularity-container 2.4.5

=== debian/changelog ===
singularity-container (2.4.5-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Afif Elghraoui <afif@debian.org>  Mon, 02 Apr 2018 01:03:59 -0400

singularity-container (2.4.5-1) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * Revert 01fd7b1b0ab23b03b424e567342dec180b45e2d7 to bring back 
    compatibility with debhelper 9 to ease backports (Closes: #893133)

  [ Afif Elghraoui ]
  * New upstream version

 -- Afif Elghraoui <afif@debian.org>  Sat, 24 Mar 2018 16:24:45 -0400

singularity-container (2.4.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Afif Elghraoui <afif@debian.org>  Sat, 17 Mar 2018 15:47:47 -0400

singularity-container (2.4.2-4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Adjust build-dependency on debhelper for backports

 -- Afif Elghraoui <afif@debian.org>  Wed, 28 Feb 2018 00:06:06 -0500

singularity-container (2.4.2-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Afif Elghraoui <afif@debian.org>  Sun, 04 Feb 2018 18:37:23 -0500

## singularity-container 2.4.6

=== debian/changelog ===
singularity-container (2.4.6-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Afif Elghraoui <afif@debian.org>  Sun, 22 Apr 2018 13:37:40 -0400

singularity-container (2.4.6-2) unstable; urgency=medium

  * debian/patches/1461.patch to resolve inability to use image
    with a long filename
    (ref: https://github.com/singularityware/singularity/issues/1185)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 15 Apr 2018 23:43:11 -0400

singularity-container (2.4.6-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/reproducible_build
    - do not provide --sort=name if the available version of tar does not
      support it

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Apr 2018 16:05:31 -0400

## singularity-container 2.5.0

=== debian/changelog ===
singularity-container (2.5.0-1~bpo9+1) stretch-backports; urgency=high

  * Rebuild for stretch-backports.

 -- Afif Elghraoui <afif@debian.org>  Thu, 03 May 2018 21:54:50 -0400

singularity-container (2.5.0-1) unstable; urgency=high

  * New upstream version, including security updates
  * Add build-dependency on libarchive
  * Remove patch merged upstream

 -- Afif Elghraoui <afif@debian.org>  Mon, 30 Apr 2018 23:04:24 -0400

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                help2man,
+               libarchive-dev,
                python
 Standards-Version: 4.1.3
 Homepage: http://singularity.lbl.gov

## singularity-container 2.5.1

=== debian/changelog ===
singularity-container (2.5.1-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Afif Elghraoui <afif@debian.org>  Mon, 07 May 2018 23:43:43 -0400

singularity-container (2.5.1-1) unstable; urgency=high

  [ Yaroslav Halchenko ]
  * debian/control
    - Homepage moved to www.sylabs.io

  [ Afif Elghraoui ]
  * New upstream bug-fix release
  * Refresh patches

 -- Afif Elghraoui <afif@debian.org>  Thu, 03 May 2018 22:12:31 -0400

singularity-container (2.5.0-1~bpo8+1) jessie-backports-sloppy; urgency=high

  * Rebuild for jessie-backports-sloppy.

 -- Afif Elghraoui <afif@debian.org>  Thu, 03 May 2018 22:05:36 -0400

singularity-container (2.4.6-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.
  * Reintroduce reproducible-builds patch

 -- Afif Elghraoui <afif@debian.org>  Sun, 22 Apr 2018 14:06:56 -0400

singularity-container (2.4.5-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.

 -- Afif Elghraoui <afif@debian.org>  Mon, 02 Apr 2018 01:10:51 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libarchive-dev,
                python
 Standards-Version: 4.1.3
-Homepage: http://singularity.lbl.gov
+Homepage: http://www.sylabs.io
 Vcs-Git: https://salsa.debian.org/hpc-team/singularity-container
 Vcs-Browser: https://salsa.debian.org/hpc-team/singularity-container

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/singularity-$1.tar.gz/" \
  https://github.com/singularityware/singularity/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## singularity-container 2.5.2

=== debian/changelog ===
singularity-container (2.5.2-2) unstable; urgency=medium

  * d/control
    + depend on ca-certificates since required to pull images from shub://

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 10 Jul 2018 14:41:56 -0400

singularity-container (2.5.2-1) unstable; urgency=high

  * New upstream security and bug-fix release

 -- Afif Elghraoui <afif@debian.org>  Wed, 04 Jul 2018 15:06:29 -0400

## singularity-container 2.6.1

=== debian/changelog ===
singularity-container (2.6.1-2) unstable; urgency=medium

  * d/patches/reproducible_build: escape dollar signs in Makefile patch
    (Closes: #919026)

 -- Afif Elghraoui <afif@debian.org>  Mon, 14 Jan 2019 21:23:04 -0500

singularity-container (2.6.1-1) unstable; urgency=high

  [ Yaroslav Halchenko ]
  * d/rules
    + DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
      to prevent a weird side-effect on Ubuntu using those LDFLAGS
      and causing static variable to become having multiple "instances".
      Ref: https://github.com/singularityware/singularity/issues/1947

  [ Afif Elghraoui ]
  * New upstream security release fixing CVE-2018-19295

 -- Afif Elghraoui <afif@debian.org>  Thu, 13 Dec 2018 01:47:28 -0500

=== debian/control ===
--- 
+++ 
@@ -20,9 +20,10 @@
 Architecture: any
 Depends: python,
          squashfs-tools,
+         ca-certificates,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: e2fsprogs
+Recommends: e2fsprogs,
 Description: container platform focused on supporting "Mobility of Compute"
  Mobility of Compute encapsulates the development to compute model
  where developers can work in an environment of their choosing and

## singularity-container 3.0.3+ds

=== debian/changelog ===
singularity-container (3.0.3+ds-1) unstable; urgency=medium

  * New upstream version; code base rewritten in Go
  * New packaging to handle changes to the language and build system
    - Updated d/patches
    - Created a repack script to remove all but certain specific bundled
      dependencies when importing the source tarball.
  * Updated URLs and d/copyright for singularityware -> sylabs ownership
  * Standards-Version 4.3.0
  * Used canonical VCS URLs

 -- Afif Elghraoui <afif@debian.org>  Wed, 30 Jan 2019 22:14:04 -0500

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,46 @@
            Yaroslav Halchenko <debian@onerussian.com>,
 	   Afif Elghraoui <afif@debian.org>,
 Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+               dh-golang,
+               golang-any,
+               golang-github-appc-cni-dev,
+               golang-github-containerd-cgroups-dev,
+               golang-github-docker-docker-dev,
+               golang-github-docker-docker-credential-helpers-dev,
+               golang-github-docker-distribution-dev,
+               golang-github-docker-go-connections-dev,
+               golang-github-docker-libtrust-dev,
+               golang-github-gorilla-websocket-dev,
+               golang-github-j-keck-arping-dev,
+               golang-github-magiconair-properties-dev,
+               golang-github-opencontainers-image-spec-dev,
+               golang-github-opencontainers-runc-dev,
+               golang-github-opencontainers-runtime-tools-dev,
+               golang-github-opencontainers-selinux-dev,
+               golang-github-opencontainers-specs-dev,
+               golang-github-pelletier-go-toml-dev,
+               golang-github-pkg-errors-dev,
+               golang-github-satori-go.uuid-dev,
+               golang-github-spf13-cobra-dev,
+               golang-github-spf13-pflag-dev,
+# (patched by upstream)               golang-golang-x-crypto-dev,
+               golang-golang-x-sys-dev,
+               golang-gopkg-cheggaaa-pb.v1-dev,
+               libssl-dev,
+               uuid-dev,
                help2man,
-               libarchive-dev,
-               python
-Standards-Version: 4.1.3
+               stow,
+               golint <!nocheck>,
+Standards-Version: 4.3.0
 Homepage: http://www.sylabs.io
-Vcs-Git: https://salsa.debian.org/hpc-team/singularity-container
+Vcs-Git: https://salsa.debian.org/hpc-team/singularity-container.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/singularity-container
+XS-Go-Import-Path: github.com/sylabs/singularity
 
 Package: singularity-container
 Architecture: any
-Depends: python,
-         squashfs-tools,
+Built-Using: ${misc:Built-Using}
+Depends: squashfs-tools,
          ca-certificates,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

#DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Causes static variable to become having multiple instances, so we need to strip it away
# See https://github.com/singularityware/singularity/issues/1947
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

PKGDIR=debian/singularity-container
export SINGULARITY_CACHEDIR=$(PKGDIR)/var/lib/singularity/cache

export GOPATH=/usr/share/gocode:$(CURDIR)/go
SRCDIR = go/src/github.com/sylabs/singularity

export DESTDIR:=$(CURDIR)/$(PKGDIR)/

%:
	dh $@ --with golang

override_dh_auto_configure:
# prepare source directory the way the build system wants it
# https://www.sylabs.io/guides/3.0/user-guide/quick_start.html#compile-the-singularity-binary
	mkdir -p $(SRCDIR)
	find -maxdepth 1 ! -name debian ! -name go ! -name ".git*" ! -name "."\
	  -exec cp -r -t $(SRCDIR) {} +
# perform the configuration
	cd $(SRCDIR) \
	&& ./mconfig \
	-V $(DEB_VERSION_UPSTREAM) \
	--prefix=/usr \
	--sysconfdir=/etc \
	--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--localstatedir=/var/lib

override_dh_auto_build:
	make -C $(SRCDIR)/builddir

override_dh_auto_test:
	make -C $(SRCDIR)/builddir check

override_dh_auto_install:
	make -C $(SRCDIR)/builddir install
	: # move bash completions into now new standard location
	mv $(PKGDIR)/etc/bash_completion.d $(PKGDIR)/usr/share/bash-completion/completions

override_dh_installman:
	: # Very sloppy man pages for now
	debian/generate_manpages $(PKGDIR) $(DEB_VERSION)
	dh_installman

override_dh_fixperms:
	dh_fixperms
	chown root.root $(PKGDIR)/usr/lib/*/singularity/bin/*
	chmod 4755 $(PKGDIR)/usr/lib/*/singularity/bin/*-suid

override_dh_auto_clean:
	-test -d $(SRCDIR) && $(RM) -r go
	dh_auto_clean


# dh_golang uses `go list` to find the dependencies, then maps them
# to Debian packages. However, it wipes out the GOPATH and forces it
# to look only in <build-directory>/src. It's supposed to have symlinked
# the central libraries from /usr/share/gocode into here, but this doesn't
# appear to be happening (maybe since we aren't using `--buildsystem=golang`).
# I worked around this by using GNU stow to do the symlinking. I also stow
# the vendored libraries in to prevent dh_golang from failing.
override_dh_golang:
	stow vendor -t go/src
	ln -s /usr/share/gocode/src gocode
	stow gocode --defer '.*crypto' --defer '.*containernetworking' -t go/src/
	dh_golang --builddirectory=go
# clean up
	stow -D vendor -t go/src
	stow -D gocode -t go/src
	$(RM) gocode

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/singularity-$1.tar.gz/,dversionmangle=s/\+ds$//" \
  https://github.com/sylabs/singularity/tags \
  (?:.*/)?v?(\d[\d\.]*)\.tar\.gz \
  debian ./debian/repack

## singularity-container 3.1.1+ds

=== debian/changelog ===
singularity-container (3.1.1+ds-1) unstable; urgency=medium

  * Upstream version 3.1.1+ds
  * drop d/patches/ftbfs_mips
    (was ineffectual previously and no longer applies)
  * Incorporate upstream patch for CVE-2019-11328

 -- Afif Elghraoui <afif@debian.org>  Wed, 15 May 2019 02:04:21 -0400
